Announcement

Collapse
No announcement yet.

Tried everything and now stumped

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • otepoti
    started a topic Tried everything and now stumped

    Tried everything and now stumped

    Hello everybody, please firstly forgive this possibly being a post already out there.

    I have looked through the support forums all day today and have been trying to sort this forum issue out all day also - ive been at this for hours and cannot see what is wrong now. so i need some pointers please.

    I have tried to upgrade the forum from 3.x to 5 - finding then all i am offered is the create your own config file (which doesn't accept anything i place in and gives me errors left right and centre when submit anything)

    i have also made a new Directory /forums and down a new install there. to attempt to get it running from there but to no avail -
    i get this 2: mysqli_real_connect() [function.mysqli-real-connect]: (HY000/2002): Can't connect to local MySQL server through socket '/tmp/mysqld.sock' (2)
    when i enter
    http://www.domain-name.com/forums/core/install/install.php

    Any information needed to help this issue can be given i have routed through all my DNS settings and so on triple checked its all in the config files correctly, i have tried to follow various Install/upgrade manuals and yet keep getting the same result!

    this is the one i am following at the moment - http://www.vbulletin.com/docs/html/

    Not happy i just spend all this money and i can't even get it the point of installing yet after a whole day of messing around and checking it all over and over and over again.

    do i need a fresh database entirely for doing this or something like that? i need to keep my users and counts etc and everything but currently have no forum at all and no progress.
    can somebody help me please?

  • Trevor Hannant
    replied
    To upgrade, you need to run the upgrade script against the database to change the tables to the necessary format for the version you're upgrading to.

    So, basically:

    - restore the backup to a new database (don't overwrite the previous one)
    - upload the files for the version you're upgrading to
    - ensure the config files are set correctly
    - run the upgrade script

    Leave a comment:


  • otepoti
    replied
    they have been terrible in 'helping' this situation. i've looked at other hosters and they all running MySQL 5.1.5 or greater. talk about being behind on the times! I will try grab a download of VB4 if i can and get that in there if all else fails i will go back to 3.x instead. anything to get this downtime stopped and get the community running again~!


    never had to install a back up before or back date a forum

    i have overwritten my original files on the server for the Forum directory via FTP as i was 'upgrading' etc.

    i made a back up of the MySQL. i take it all i do is wipe the files create the directory again, upload version 3.x / 4.x in to a new install and then chuck the new database up and import the backup.sql to the new database? point the config file info to the new Database - bam install?
    is this correct or am i missing anything. is it best that way or 'upgrade' (even with the VB5 files in the forum directory but not working) do an overwrite on those and 'upgrade' the files that way?

    I dont want to loose any of the forums actual data etc. im sure thats all on the DB though right? such as pm's, threads etc basically all the directorys hold is the info for the layout images and settings and other bits?

    or is Database fine as no install has been run yet - and is still set to 3.X's install data as nothing has been processed yet - i can simply overwrite files with 4.x and run that installer


    Which method is best to preserve previous forum info - but to install the back up safely
    Last edited by otepoti; Sat 2nd Feb '13, 4:25am.

    Leave a comment:


  • Mark.B
    replied
    Given customer experiences I have seen here and in my day job, my personal view is that 1and1 are becoming the new GoDaddy. Except that GoDaddy are ok for domains....1and1 are rubbish for domains.

    Leave a comment:


  • Loco.M
    replied
    As I said in the pm, I'd suggest going with vb4 if you're having php issues with your host.

    Leave a comment:


  • otepoti
    replied
    http://www.angel-unlimited.co.uk/info.php

    here you go.

    I have been informed by 1&1 the MySQL Version is 5.0 and wont be updated yet and cant be for this database because it is part of a shared server and they are only running their shared servers on maximum 5.0 MySQL.

    here is their response

    Dear Customer,

    Thank you for contacting us.

    We would like to inform you that as of the moment all packages under the Shared Hosting Server uses the MYSQL 5.0.9. Our Administrator informed us that they would implement this higher version this month, before the date of the migration you would receive an email about the scheduled date of the migration. If you would purchase a new package it would still use the 5.0.9 version however if you are going to have a server package you can specify the software and version that you would like to have in your server.

    If you have any further questions please do not hesitate to contact us.

    useful....really helpful on the front my community is now dead-facing in to the internet's virtual floor.

    - - - Updated - - -

    If anything is there a a good manual to follow to restore my database and my original 3.X forum back to atleast get it online and working until they decide to upgrade and then i can upgrade to VB5 once they pull their finger out on 1&1 and get with the times. ??

    Leave a comment:


  • Trevor Hannant
    replied
    Can you create a file called info.php, add the following contents and upload it to your server:

    Code:
    <?php
    phpinfo();
    ?>
    Then, provide us with a link to view.

    Leave a comment:


  • otepoti
    replied
    right. that's at least good to know. i took the extensions off of the config files as described in the manual to do so they only end in .php - that's the only renaming i have done on them.

    Does anybody have 1&1 as their host - is there any easier way to gather the required DB information that having to mess about with it all to find the information all hidden away.

    also can somebody link me to the VB5 install service as i am thinking to give up and let VB handle this if it's even possible to do such a thing.

    Still no progress 1&1 are not playing ball with my emailing them at all for the details to be given god knows why. is anybody from the VB support team able to access (me giving them the details to do so) the account and check it over as the owner only trusts the VB support team members to do something that drastic.

    - - - Updated - - -

    Scratch that - okay i think i have managed to get the correct details in now for the UPGRADE in the original forums area.

    now i get this screen

    Click image for larger version

Name:	this.png
Views:	1
Size:	27.5 KB
ID:	3691203

    which i have not got before -

    My PHP is set to version 5.4
    and MYSQL is version 5.0

    so....what do i do now? how odd.

    I selected the versions again to ensure they where selected and now i have got this

    Click image for larger version

Name:	now.png
Views:	1
Size:	8.2 KB
ID:	3691204
    so i will have to ask to get the MYSQL to be upgraded higher by my service provider?

    Leave a comment:


  • Trevor Hannant
    replied
    You've already edited the config files and therefore don't need to run the makeconfig.php file. Or, you've renamed the config files so it can't find them...

    Leave a comment:


  • otepoti
    replied
    Thank you that would help massively to have a fresh set of eyes looking it over.

    The image i placed - that screen will now not display at all following the same path and i've not touched anything. how odd.

    is anybody a 1&1 server customer etc who can direct me where to find and ensure the details i have are correct - as they make it very hard to find anything on their CP!

    ALSO -

    I can access the core/install/makeconfig.php

    when i load this it says this :



    vBulletin 5 Configuation Builder
    Please fill out the following fields to build your configuration data. This utility will auto-create a config.php file in the base directory and in your core/includes/ directory.
    If you require any advanced settings you must manually edit the config.php files yourself. See the install instructions for help.

    Warning frontend already exists.
    Warning backend already exists.


    Base URL:
    Usually http://www.domain.com or http://www.domain.com/forum
    Cookie Prefix:
    Default: bb
    Database Type:
    Default: mysql
    Database Name:
    Enter your database name
    Table Prefix:
    Optional Table Prefix (OK to leave blank.)
    Technical Email:
    Database errors will be emailed to this address
    Database Server Name:
    The server name of your database server
    Database Port #:
    Port of database server
    Database Username:
    Username to log into database server
    Database Password:
    Password for database username (no single-quotes allowed)
    Admin CP Directory:
    Default: admincp
    Mod CP Directory:
    Default: modcp
    The meaning to the text in red?
    Last edited by otepoti; Thu 31st Jan '13, 10:41am.

    Leave a comment:


  • Loco.M
    replied
    You database info is wrong, I can take a look at it if you want.
    I'm sure it's a quick fix if you know your db info.
    pm me if you want a hand, I'll be around this afternoon.

    Leave a comment:


  • otepoti
    replied
    how do i rectify this simply contact the server - as far as i can tell all is working fine and the details are correct. when i try to go to the main forum page i get this error
    Fatal error: Cannot redeclare class vB_dB_Assertor in /homepages/36/d149363263/htdocs/angel/forum/core/vb/db/assertor.php on line 18

    it has been some time since i had any issues at all in this sort of thing and im sure the details are fine and server is running fine?

    the hosting is with 1&1 and finding the correct information is a bit tricky.


    i never got this screen trying yesterday which is what i was aiming for

    Click image for larger version

Name:	woo.png
Views:	1
Size:	24.9 KB
ID:	3691198

    but when i place the customer ID in i get a different error.

    2: mysql_connect() [function.mysql-connect]: Lost connection to MySQL server at 'reading initial communication packet', system error: 111

    I take it it is the information of the server again. ? i have asked for the details from my server provider but they want a step by step what i am doing etc so they can see what is going on even though i said all i need is the details ?


    Last edited by otepoti; Thu 31st Jan '13, 7:56am.

    Leave a comment:


  • Mark.B
    replied
    Can't connect to MySQL server means exactly that.
    Either the server details are wrong or the server is down.

    Leave a comment:

Related Topics

Collapse

Working...
X